Bug 824031 - The list of components should be reloaded on Product field change
The list of components should be reloaded on Product field change
Status: CLOSED NOTABUG
Product: Bugzilla
Classification: Community
Component: User Interface (Show other bugs)
4.2
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: Simon Green
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-22 11:30 EDT by Michal Privoznik
Modified: 2014-10-12 18:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-22 18:00:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Privoznik 2012-05-22 11:30:41 EDT
Description of problem:
If I am changing the product, the component lists doesn't get refresh.

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. open any bug
2. click on (edit) right next to Component and select anything
3. Choose diferent product from the drop box right above
  
Actual results:
component list doesn't get refreshed

Expected results:
component list should get refreshed

Additional info:
Comment 1 Simon Green 2012-05-22 18:00:53 EDT
(In reply to comment #0)
> Expected results:
> component list should get refreshed

This is not the expected result. When changing a product, you get a second page that allows you to change the component, version, milestone, release, and (if applicable) group privileges.

Bugzilla is designed to work without Javascript on, so having a separate page is required. Additionally, this enforces users who change the product a bug is assigned against to actively think about these values.

  -- simon
Comment 2 Michal Privoznik 2012-05-23 03:10:27 EDT
Well, if this is the case, and I change the product in the first place, then why the component list gets read from the new product I've chosen and not the old one?
Comment 3 Michal Privoznik 2012-05-23 04:27:11 EDT
Moreover, if have this separate page anyway, why not keep those two fields (product + component) in sync? Usage scenario is this: I've had a bug for libvirt (P: Virtualization tools, C: libvirt) but it turned out to be a libvirt-glib bug. However, there's no such component under Virtualization tools product. So I had to search for product containing the libvirt-glib component.

If I've changed the Product firstly then component list got refrest with respect to product I've chosen; which is cool. So I've chosen a product A and found out libvirt-glib is not there. So I've chosen the product B, C, ..

Even though there is a separate page for confirmation and make users stop & think, I still think this is a reasonable request.
Comment 4 Simon Green 2012-05-23 08:42:50 EDT
(In reply to comment #2)
> Well, if this is the case, and I change the product in the first place, then
> why the component list gets read from the new product I've chosen and not
> the old one?

Technically, that is a bug (the AJAXy part of the page is a Red Hat customisation).

Getting a list of components for the Fedora product via AJAX is very client side CPU intensive (see bug 823309 for an example), so having it on a separate page is the correct thing (IMO).
Comment 5 Michal Privoznik 2012-05-23 09:16:04 EDT
I think we both agree that separate page is the right thing.

What I am reporting is however something different. From my understanding the bug 823309 you are referring to is fixed now. And yeah, I can confirm it is eating some CPU but not so much (it takes ~5 secs to get list of Fedora components). What am I asking for is a way for matching component against Product. I'd like to switch bug to another component which however is under different product. But I don't know which one. Or do you suggest any other way of finding that out? Of course, I still would be redirected to the separate page.

Moreover, the feature I am requesting we already have: when you're doing 'Advanced search'. Selecting any item in a list will refresh subsequent list.
Comment 6 Simon Green 2012-05-23 09:23:35 EDT
(In reply to comment #5)
> What am I asking for is a way for matching component against
> Product. I'd like to switch bug to another component which however is under
> different product. But I don't know which one. Or do you suggest any other
> way of finding that out?


https://bugzilla.redhat.com/describecomponents.cgi?product=Bugzilla (for example) is the correct place to get this information. You can get this page by clicking on the Browse link, selecting a component, and then click on the 'Show full component descriptions for this product' link.

  -- simon

Note You need to log in before you can comment on or make changes to this bug.